* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Inter', sans-serif;
    color: #000;
}

.page-header {
    display: flex;
    justify-content: center;
    padding: 28px 0;
    background: #000;
}

.header-logo {
    display: block;
}

.main-banner {
    width: 100%;
    display: block;
}

.top-infocard {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 66px 0px 0px;
}

.top-infocard-text {
    max-width: 766px;
}

.top-infocard-subtitle {
    font-size: 32px;
    font-weight: 400;    
    text-align: center;
    text-transform: uppercase;
}

.top-infocard-title {
    font-weight: 500;
    font-size: 48px;    
    margin-bottom: 6px;
    text-align: center;
    text-transform: uppercase;
}

.top-infocard-description {
    font-size: 16px;
    line-height: 24px;
    margin-bottom: 66px;
}

.top-infocard-image {
    display: block;
    max-width: 315px;
    width: 100%;
    margin-bottom: 186px;
}

.top-cards {
    display: grid;
    grid-template-columns: repeat(3, max-content);
    justify-content: center;
    gap: 20px;
    padding: 0 0 80px;
}

.top-card {
    display: flex;
    flex-direction: column;
    align-items: center;    
    padding: 36px 26px 26px;
    background: #FFFFFF;
    box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.23);
}

.top-card-image {
    display: block;
    margin-bottom: 26px;
}

.top-card-description {
    font-size: 16px;
    line-height: 24px;
    max-width: 300px;
    text-align: center;
}

.middle-banners {
    height: 442px;
    background: #E0E0E0;
    margin-bottom: 280px;
}

.middle-banners-wrapper {
    display: grid;
    grid-template-columns: repeat(3, max-content);
    justify-content: center;
    padding: 0 94px;
    position: relative;
    bottom: -58px;
    gap: 32px;
}

.middle-banner {
    display: block;
}

.bottom-cards {
    display: flex;
    justify-content: center;
    padding: 0 72px;
    margin-bottom: 138px;
    gap: 16px;
}

.bottom-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 34px 32px 66px;
    background: #FFFFFF;
    box-shadow: 0px 4px 16px rgba(0, 0, 0, 0.15);
}

.bottom-card-image {
    display: block;
    margin-bottom: 14px;
}

.bottom-card-description {
    text-align: center;
}

.bottom-infocard {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0 300px 104px;
    gap: 32px;
}

.bottom-infocard-text {
    max-width: 550px; 
}

.bottom-infocard-title {
    font-size: 32px;
    line-height: 20px;
    text-align: center;
    margin-bottom: 18px;
}

.bottom-infocard-description {
    font-size: 16px;
    line-height: 24px;     
    text-align: center;
}

.page-footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 38px 0;
    background: #000000;
}

.footer-icons {
    display: flex;
    list-style: none;
    margin-bottom: 16px;
}

.footer-icon {
    margin: 0 16px;
}

.footer-text {
    font-size: 10px;
    line-height: 12px;
    text-transform: uppercase;
    color: #bdbdbd;
}

@media screen and (max-width: 414px) {
    .main-banner-desktop {
        display: none;
    }
}

@media screen and (min-width: 415px) {
    .main-banner-mobile {
        display: none;
    }
}

@media screen and (max-width: 768px) {
    .top-cards {
        grid-template-columns: 1fr;
        gap: 24px;
        padding: 0 30px 80px;
    }

    .bottom-cards {
        display: flex;
        flex-direction: column;
        padding: 0 26px;
    }

    .page-footer {
        padding-bottom: 26px;
    }

    .footer-text {
        text-align: center;
        max-width: 260px;
    }

    .footer-text-desktop {
        display: none;
    }
}

@media screen and (min-width: 769px) {
    .footer-text-mobile {
        display: none;
    }
}

@media screen and (max-width: 992px) {
    .top-infocard {
        padding: 54px 30px 0;
    }
    
    .top-infocard-text {
        text-align: center;        
    }
    
    .top-infocard-subtitle {
        font-size: 20px;
    }
    
    .top-infocard-title {
        font-size: 28px;
    }
    
    .top-infocard-image {
        max-width: 238px;
        margin-bottom: 80px;
    }

    .middle-banners {
        height: 484px;
        margin-bottom: 202px;
        display: flex;
        justify-content: center;
    }
    
    .middle-banner-desktop {
        display: none;
    }

    .middle-banners-wrapper {
        grid-template-columns: 1fr;
        gap: 24px;
        padding: 0 24px;
        bottom: -34px;
    }

    .middle-banners-mobile {
        display: flex;
        align-items: center;
        gap: 14px;
    }

    .bottom-infocard {
        padding: 0 0 104px;
        gap: 52px;
    }

    .bottom-infocard-image {
        display: block;
    }

    .bottom-infocard-text {
        max-width: 350px;
    }

    .bottom-infocard-title {
        font-size: 24px;
    }

}

@media screen and (min-width: 993px) {
    .middle-banner-mobile {
        display: none;
    }    
}

@media screen and (min-width: 769px) and (max-width: 1200px) {
    .top-cards {
        grid-template-columns: repeat(2, max-content);
    }    
}

@media screen and (min-width: 769px) and (max-width: 1600px) {
    .bottom-cards {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }
}

@media screen and (min-width: 993px) and (max-width: 1140px) {
    .middle-banners {
        height: 266px;
    }
    
    .middle-banners-wrapper {
        grid-template-columns: repeat(3, 1fr);
    }
    
    .middle-banner {
        width: 300px;
    }
}

@media screen and (min-width: 993px) and (max-width: 1400px) {
    .bottom-infocard {
        display: flex;        
        align-items: center;
        justify-content: center;
    }

    .bottom-infocard-text {
        max-width: 550px;
    }

    .bottom-infocard-title {
        line-height: normal;
    }

    .bottom-infocard-description {
        font-size: 16px;
        line-height: 24px;  
    }
}

@media screen and (min-width: 1141px) and (max-width: 1760px) {
    .middle-banners {
        height: 266px;
    }

    .middle-banner {
        width: 300px;
    }
}

@media screen and (max-width: 1400px) {
    .bottom-infocard-image-desktop {
        display: none;
    }

}
@media screen and (min-width: 1401px) {
    .bottom-infocard-image-mobile {
        display: none;
    }
}